lkml.org 
[lkml]   [2020]   [Sep]   [16]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: [PATCH 5/9] btrfs: zstd: Switch to the zstd-1.4.6 API
Date
On 16 Sep 2020, at 4:49, Christoph Hellwig wrote:

> On Tue, Sep 15, 2020 at 08:42:59PM -0700, Nick Terrell wrote:
>> From: Nick Terrell <terrelln@fb.com>
>>
>> Move away from the compatibility wrapper to the zstd-1.4.6 API. This
>> code is functionally equivalent.
>
> Again, please use sensible names And no one gives a fuck if this bad
> API is "zstd-1.4.6" as the Linux kernel uses its own APIs, not some
> random mess from a badly written userspace package.

Hi Christoph,

It’s not completely clear what you’re asking for here. If the API
matches what’s in zstd-1.4.6, that seems like a reasonable way to
label it. That’s what the upstream is for this code.

I’m also not sure why we’re taking extra time to shit on the zstd
userspace package. Can we please be constructive or at least
actionable?

-chris

\
 
 \ /
  Last update: 2020-09-16 23:04    [W:0.128 / U:0.164 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site